CPPTRAJ:(1)

NAME
CPPTRAJ: - fast, parallelized molecular dynamics trajectory data analysis

SYNOPSIS
cpptraj [-p <Top0>] [-i <Input0>] [-y <trajin>] [-x <trajout>]

DESCRIPTION

    [-ya <args>] [-xa <args>] [<file>] [-c <reference>] [-d <datain>] [-w <dataout>] [-o <output>] [-h | --help] [-V | --version] [--defines] [-debug <#>] [--interactive] [--log <logfile>] [-tl] [-ms <mask>] [-mr <mask>] [--mask <mask>] [--resmask <mask>] [--rng {marsaglia|stdlib|mt|pcg32|xo128}]

-p <Top0>
    : * Load <Top0> as a topology file.

-i <Input0>
    : * Read input from file <Input0>.

-y <trajin>
    : * Read from trajectory file <trajin>; same as input 'trajin <trajin>'.

-x <trajout>
    : * Write trajectory file <trajout>; same as input 'trajout <trajout>'.

-ya <args>
    : * Input trajectory file arguments.

-xa <args>
    : * Output trajectory file arguments.

<file>
    : * A topology, input trajectory, or file containing cpptraj input.

-c <reference>
    : * Read <reference> as reference coordinates; same as input 'reference <reference>'.

-d <datain>
    : * Read data in from file <datain> ('readdata <datain>').

-w <dataout>
    : Write data from <datain> as file <dataout> ('writedata <dataout>).

-o <output>
    : Write CPPTRAJ STDOUT output to file <output>.

-h | --help
    : Print command line help and exit.

-V | --version
    : Print version and exit.

--defines
    : Print compiler defines and exit.

-debug <#>
    : Set global debug level to <#>; same as input 'debug <#>'.

--interactive
    : Force interactive mode.

--log <logfile>
    : Record commands to <logfile> (interactive mode only). Default is 'cpptraj.log'.

-tl : Print length of all input trajectories specified on the command line to STDOUT.

-ms <mask>
    : Print selected atom numbers to STDOUT.

-mr <mask>
    : Print selected residue numbers to STDOUT.

--mask <mask>
    : Print detailed atom selection to STDOUT.

--resmask <mask> : Print detailed residue selection to STDOUT.

--rng <type>
    : Change default random number generator.

    * Denotes flag may be specified multiple times.